

Fix some confusion over fbdev compat_ioctl return types - compat_ioctls return
`long'.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/fbmem.c |    3 ++-
 25-akpm/include/linux/fb.h    |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/video/sis/sis_main.c~sisfb_compat_ioctl-warning-fix drivers/video/sis/sis_main.c
diff -puN include/linux/fb.h~sisfb_compat_ioctl-warning-fix include/linux/fb.h
--- 25/include/linux/fb.h~sisfb_compat_ioctl-warning-fix	2005-02-09 22:24:52.000000000 -0800
+++ 25-akpm/include/linux/fb.h	2005-02-09 22:24:57.000000000 -0800
@@ -585,7 +585,7 @@ struct fb_ops {
 			unsigned long arg, struct fb_info *info);
 
 	/* Handle 32bit compat ioctl (optional) */
-	int (*fb_compat_ioctl)(struct file *f, unsigned cmd, unsigned long arg,
+	long (*fb_compat_ioctl)(struct file *f, unsigned cmd, unsigned long arg,
 			       struct fb_info *info);
 
 	/* perform fb specific mmap */
diff -puN drivers/video/fbmem.c~sisfb_compat_ioctl-warning-fix drivers/video/fbmem.c
--- 25/drivers/video/fbmem.c~sisfb_compat_ioctl-warning-fix	2005-02-09 22:26:18.000000000 -0800
+++ 25-akpm/drivers/video/fbmem.c	2005-02-09 22:26:34.000000000 -0800
@@ -876,7 +876,8 @@ fb_compat_ioctl(struct file *file, unsig
 	int fbidx = iminor(file->f_dentry->d_inode);
 	struct fb_info *info = registered_fb[fbidx];
 	struct fb_ops *fb = info->fbops;
-	int ret;
+	long ret;
+
 	if (fb->fb_compat_ioctl == NULL)
 		return -ENOIOCTLCMD;
 	lock_kernel();
_
